import sys

def addieren(a, b):
    return a + b

def subtrahieren(a, b):
    return a - b

def multiplizieren(a, b):
    return a * b

def dividieren(a, b):
    if b != 0:
        return a / b
    else:
        return "Division durch Null nicht moeglich"

def taschenrechner(auswahl, zahl1, zahl2):
    if auswahl == "+":
        ergebnis = addieren(zahl1, zahl2)
    elif auswahl == "-":
        ergebnis = subtrahieren(zahl1, zahl2)
    elif auswahl == "*":
        ergebnis = multiplizieren(zahl1, zahl2)
    elif auswahl == "/":
        ergebnis = dividieren(zahl1, zahl2)
    else:
        return "Ungueltige Auswahl. Bitte erneut versuchen."

    return ergebnis

if len(sys.argv) != 4:
    print("Falsche Anzahl von Parametern. Verwenden Sie das Format: rechner.py <Zahl1> <Operator> <Zahl2>")
else:
    zahl1 = float(sys.argv[1])
    auswahl = sys.argv[2]
    zahl2 = float(sys.argv[3])

    ergebnis = taschenrechner(auswahl, zahl1, zahl2)
    print("Ergebnis:")
    print(ergebnis)
